// Miraplacid Publisher 5 Examples. (C) 2004, Miraplacid.
//
// Miraplacid Publisher :: Learning :: State Watch (JScript)
//
// This script prints single document and just dumps JobState to help you
// figure out what is happening during single document printing.
// This script will never end, so you will need to interrupt it with Ctrl-C.
//
word = WScript.CreateObject("Word.Application");
word.Visible=1;
word.Documents.Open("c:\\test.doc");
word.Documents("c:\\test.doc").Activate();

prn = WScript.CreateObject("Miraplacid.Publisher");

word.ActivePrinter=prn.PrinterName;

// Set up Miraplacid Publisher
prn("scalepercent")=0; // set size in pixels
prn("scalewidth")=1024; // scale to this width
prn("scaleheight")=768; // scale to this height
prn("scaleconstrain")=1; // preserve aspect ratio
prn("flipv")=0; // flip vertical on
prn("fliph")=0; // flip horizontal on
prn("gamma")=500; // flip horizontal on
prn.AutoSend=0; // Turn AutoSend ON

prn.Format="jpg";
prn.FormatParam("quality")=6; // 6=70%

prn.Transport="File";
prn.TransportParam("File","path")="c:\\doc_{{DATE}}";
prn.TransportParam("File","filename")="Page_{{PAGE}}";
prn.TransportParam("File","setfilename")=0;

// Print Word document:
word.ActiveDocument.PrintOut();

while (1) {
	WScript.Echo("State - "+prn.JobStatus);
	WScript.Sleep(500);
}

WScript.Echo("Done");

word.Documents("c:\\mp5.doc").Close();
word.Quit();
// Always stop Miraplacid Publisher when you are done with it.
prn.Stop();
